Update fault question
curl --request PATCH \
--url https://api.sortx.co.uk/maintenance-pro/questions/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"label": "<string>",
"title": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', title: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/questions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/questions/{id}"
payload = {
"label": "<string>",
"title": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)[
{
"id": "<string>",
"parentId": "<string>",
"label": "<string>",
"description": "<string>",
"category": "<string>",
"subcategory": "<string>",
"fault": "<string>",
"trade": "<string>",
"urgency": "routine",
"source": "<string>",
"icon": "<string>",
"searchTerms": [
"<string>"
],
"selectable": true,
"popup": {
"id": "<string>",
"heading": "<string>",
"html": "<string>"
},
"questionGroups": [
{
"id": "<string>",
"ref": "<string>",
"title": "<string>",
"description": "<string>",
"questions": [
{
"id": "<string>",
"title": "<string>",
"label": "<string>",
"fieldType": "text",
"placeholder": "<string>",
"required": true,
"options": [
"<string>"
],
"minValue": 123,
"minLength": 123
}
]
}
],
"disabled": true
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Update fault question
Reword a question in this organisation’s repair fault tree
PATCH
/
maintenance-pro
/
questions
/
{id}
Update fault question
curl --request PATCH \
--url https://api.sortx.co.uk/maintenance-pro/questions/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"label": "<string>",
"title": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', title: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/questions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/questions/{id}"
payload = {
"label": "<string>",
"title": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)[
{
"id": "<string>",
"parentId": "<string>",
"label": "<string>",
"description": "<string>",
"category": "<string>",
"subcategory": "<string>",
"fault": "<string>",
"trade": "<string>",
"urgency": "routine",
"source": "<string>",
"icon": "<string>",
"searchTerms": [
"<string>"
],
"selectable": true,
"popup": {
"id": "<string>",
"heading": "<string>",
"html": "<string>"
},
"questionGroups": [
{
"id": "<string>",
"ref": "<string>",
"title": "<string>",
"description": "<string>",
"questions": [
{
"id": "<string>",
"title": "<string>",
"label": "<string>",
"fieldType": "text",
"placeholder": "<string>",
"required": true,
"options": [
"<string>"
],
"minValue": 123,
"minLength": 123
}
]
}
],
"disabled": true
}
]{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Available options:
routine, urgent, emergency Show child attributes
Show child attributes
Show child attributes
Show child attributes